Subject: bug#22938: 24.5; Cannot rename files in directory with escaped spaces

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Mar 2016 21:19:12 +0200

> Date: Tue, 8 Mar 2016 13:45:07 -0500
> From: Marty Rosenberg <[email-masked]>
> Cc: [email-masked]
> 
> Strange, I just checked out git master, and reproduced it (I used e0400b72a24). Did you both quote and
> escape the space? (alternately, you can run mkdir escape\\\ me) I've reproduced this on both an ubuntu
> system, an arch-linux system, and a gentoo system. I haven't tried on a redhat based system, nor on OSX.

You are right, I see it too.

AFAICS, the problem is in wdired-normalize-filename: it removes the
backslash and the following blank from the name, thus creating a name
of a file that doesn't exist.